// .babs {
//     iow-row:nth-child(even) {
//         background: #CCC
//     }
//     iow-row:nth-child(odd) {
//         background: #FFF
//     }
// }
//pagination
pagination-controls {
    color: orangered;
    font-size: 18px;
}

//pour alternance des couleurs entre les lignes
.rowItem {
    transition: background 0.2s ease-in;
    background-color: #e6e6e6;
}

.rowItem:nth-child(2n) {
    background-color: #fbeeea
}

.containerContrat {
    margin: 4px;
}

.mesAction {
    margin-top: 20px;
    padding: 0px 0px;
    padding-bottom: 15px;
    padding-right: 2px;
    border-radius: 10px;
    border: solid 2px var(--ion-color-primary);
    max-height: 70%;
    overflow-y: scroll;
    .mesHeading {
        color: var(--ion-color-secondary);
        text-align: center;
        font-size: 18px;
        font-weight: 700;
    }
    .contentBlock {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 10px;
        img {
            max-width: none;
            width: 30px;
        }
        p {
            font-size: 12px;
            color: var(--ion-color-secondary);
        }
    }
    .colonneListe {
        font-size: 12.8px;
        font-weight: bold;
        color: var(--ion-color-primary);
        ion-icon {
            font-size: 12px;
        }
    }
    .colonneListeItem {
        font-size: 11.8px;
        color: var(--ion-color-secondary);
        ion-icon {
            font-size: 12px;
        }
    }
    .statusLight {
        border-radius: 100px;
        width: 7px;
        height: 7px;
        margin-right: 10px;
    }
    .statusRas {
        background-color: #00FF00;
    }
    .statusAlerte {
        background-color: #FF0000
    }
    .statusDepasse {
        background-color: rgb(99, 95, 95)
    }
    .iconeVoiture {
        max-width: none;
        width: 26px;
        margin-top: 5px;
    }
    .iconeListeObjet {
        max-width: none;
        width: 26px;
        margin-top: 5px;
    }
}

.newContrat {
    --background: var(--ion-color-primary);
    --box-shadow: none;
    display: block;
    margin: 0 auto;
    width: 40%;
    height: 30px;
    margin-top: 10px;
    ion-icon {
        font-size: 24px;
    }
}

ion-searchbar {
    --color: var(--ion-color-secondary);
    --icon-color: var(--ion-color-secondary);
    --placeholder-color: var(--ion-color-secondary);
    --clear-button-color: var(--ion-color-secondary);
    --background: var(--ion-color-tertiary)
}

.inputs {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .inputBlock {
        width: 65%;
        .itemInput {
            ion-item {
                --placeholder-opacity: 1;
                --placeholder-color: var(--ion-color-secondary);
            }
            ion-select {
                width: 100%;
                max-width: none;
                border-radius: 15px;
                font-size: 12px;
                color: var(--ion-color-secondary);
                --placeholder-color: var(--ion-color-secondary);
                --placeholder-opacity: 1;
                background-color: var(--ion-color-tertiary)
            }
        }
    }
    .selectInput {
        width: 35%
    }
}

.noContrats {
    font-size: 15px;
    color: var(--ion-color-secondary);
}

.rowItem {
    cursor: pointer;
}

.rowItem:hover,
.rowItem:active {
    background-color: var(--ion-color-tertiary)
}

.iconeAdd {
    font-size: 12px;
}

.speech-bubble {
    position: relative;
    background: var(--ion-color-primary);
    border-radius: 50%;
    width: 100px;
    height: 100px;
    padding: 5px;
}

.speech-bubble:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0;
    height: 0;
    border: 16px solid transparent;
    border-top-color: var(--ion-color-primary);
    border-bottom: 0;
    border-right: 0;
    margin-left: -8px;
    margin-bottom: -16px;
}

.editiel {
    opacity: 0;
    animation: zoom 12s;
    animation-delay: 1s;
    animation-iteration-count: 3
}

@keyframes zoom {
    0% {
        opacity: 1;
        transform: scale(1, 1);
        color: var(--ion-color-primary);
    }
    50% {
        opacity: 1;
        transform: scale(1.2, 1.2);
        color: var(--ion-color-secondary);
    }
    100% {
        opacity: 1;
        transform: scale(1, 1);
        color: var(--ion-color-primary);
    }
}